> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno 任务结果查询 V2 API 文档

> 使用 Suno V2 查询结果接口获取更稳定的任务状态和音乐生成结果，适合新接入项目和生产环境轮询查询。



## OpenAPI

````yaml openapi/cn/suno.json GET /suno/v2/fetch
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno 音乐生成相关接口
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v2/fetch:
    get:
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: 生成请求返回的jobId
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: 响应信息
                  jobId:
                    type: string
                    description: 任务id
                  data:
                    oneOf:
                      - type: object
                        description: 音频任务结果
                        properties:
                          jobId:
                            type: string
                            description: 任务id
                          action:
                            type: string
                            description: 任务类型
                          progress:
                            type: string
                            description: 任务进度
                          mv:
                            type: string
                            description: 使用模型
                          quota:
                            type: string
                            description: 消耗配额
                          hookUrl:
                            type: string
                            description: 回调地址
                          musics:
                            type: array
                            description: 音频列表
                            items:
                              type: object
                              properties:
                                musicId:
                                  type: string
                                  description: 音乐id
                                gpt_description_prompt:
                                  type: string
                                  description: 灵感模式提示词
                                prompt:
                                  type: string
                                  description: 歌词
                                title:
                                  type: string
                                  description: 标题
                                tags:
                                  type: string
                                  description: 风格标签
                                display_tags:
                                  type: string
                                  description: 显示标签
                                imageUrl:
                                  type: string
                                  description: 封面图片。有效期详见[存储与持久化](/grids/cn/faq/storage)
                                imageLargeUrl:
                                  type: string
                                  description: 封面大图。有效期详见[存储与持久化](/grids/cn/faq/storage)
                                audioUrl:
                                  type: string
                                  description: 音频文件。有效期详见[存储与持久化](/grids/cn/faq/storage)
                                videoUrl:
                                  type: string
                                  description: 视频文件。有效期详见[存储与持久化](/grids/cn/faq/storage)
                                duration:
                                  type: number
                                  description: 音频时长
                                negativeTags:
                                  type: string
                                  description: 不想生成的风格标签
                                styleWeight:
                                  type: number
                                  description: 风格权重
                                weirdnessConstraint:
                                  type: number
                                  description: 奇妙度权重
                                audioWeight:
                                  type: number
                                  description: 音频地址
                                createdAt:
                                  type: string
                                  description: 创建时间
                      - type: object
                        description: 歌词任务结果
                        properties:
                          jobId:
                            type: string
                            description: 任务id
                          model:
                            type: string
                            description: 使用模型
                          progress:
                            type: string
                            description: 任务进度
                          quota:
                            type: string
                            description: 消耗配额
                          hookUrl:
                            type: string
                            description: 回调地址
                          lyrics:
                            type: array
                            description: 歌词列表
                            items:
                              type: object
                              properties:
                                prompt:
                                  type: string
                                  description: 歌词
                                title:
                                  type: string
                                  description: 标题
                                tags:
                                  type: string
                                  description: 风格标签
                      - type: object
                        description: 创建语音任务结果
                        properties:
                          jobId:
                            type: string
                            description: 任务id
                          persona_id:
                            type: string
                            description: 语音id
                          name:
                            type: string
                            description: 语音名称
                          quota:
                            type: string
                            description: 消耗配额
                          hookUrl:
                            type: string
                            description: 回调地址
                example:
                  status: SUCCESS
                  message: success
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                  data:
                    jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                    action: music
                    progress: 100%
                    mv: chirp-v5
                    quota: '6'
                    hookUrl: https://webhook-test.com/ed9731f4026f04e7c0cfa99e41d2b2fc
                    musics:
                      - musicId: xxxxxxxxxxxxxxxxx
                        prompt: xxxxxxxxxxxxxxxxxx
                        title: xxxxx
                        tags: xxxxx
                        imageUrl: https://cdn2.suno.ai/xxxxxxxxxxxxxxxxx.jpeg
                        imageLargeUrl: https://cdn2.suno.ai/xxxxxxxxxxxxxx.jpeg
                        audioUrl: https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp3
                        videoUrl: https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp4
                        duration: '211.44'
                        negativeTags: xxxxxxxxxxxxxxxxxxx
                        styleWeight: null
                        weirdnessConstraint: null
                        audioWeight: null
                        createdAt: '2026-03-03T02:23:51.401Z'
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````